<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=$charset" />
<title>$bbname - {lang post_smilies_more} - powered by Discuz!</title>
<!--{if $allowcsscache}--><link rel="stylesheet" type="text/css" href="forumdata/cache/style_$styleid.css" /><!--{else}--><style type="text/css">{template css}</style><!--{/if}-->
</head>

<script type="text/javascript" src="include/common.js"></script>

<body leftmargin="0" rightmargin="0" topmargin="0">
<table cellspacing="{INNERBORDERWIDTH}" cellpadding="{TABLESPACE}" width="100%" class="tableborder" id="smilietable">
<tr><td colspan="2" class="header">{lang post_smilies_more}</td></tr>

<!--{loop $_DCACHE['smilies_display'] $key $smiley}-->
	<tr align="center">
	<td class="altbg1">$smiley[code]</td>
	<td class="altbg2"><img src="{SMDIR}/$smiley[url]" border="0" alt="$smiley[code]" id="smilie_$key" onClick="insertSmilies($key)" onMouseover="this.style.cursor = is_ie ? 'hand' : 'pointer';" /></td>
	</tr>
<!--{/loop}-->

</table>

<script type="text/javascript">
function insertSmilies(smilieid) {
	window.opener.checkFocus();
	var src = $('smilie_' + smilieid).src;
	var code = $('smilie_' + smilieid).pop ? $('smilie_' + smilieid).pop : $('smilie_' + smilieid).alt;
	if(typeof window.opener.wysiwyg != 'undefined' && window.opener.wysiwyg && window.opener.allowsmilies && (!window.opener.$('smileyoff') || window.opener.$('smileyoff').checked == false)) {
		if(is_moz) {
			window.opener.applyFormat('InsertImage', false, src);
			var smilies = window.opener.findtags(editdoc.body, 'img');
			for(var i = 0; i < smilies.length; i++) {
				if(smilies[i].src == src && smilies[i].getAttribute('smilieid') < 1) {
					smilies[i].setAttribute('smilieid', smilieid);
					smilies[i].setAttribute('border', "0");
				}
			}
		} else {
			window.opener.insertText('<img src="' + src + '" border="0" smilieid="' + smilieid + '" alt="" /> ', false);
		}
	} else {
		code += ' ';
		window.opener.AddText(code);
	}
}
</script>
{eval output();}


